Package com.xebialabs.deployit.plugin.api.udm

# Class BaseProvisionerArtifact

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployable
com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployableArtifact
com.xebialabs.deployit.plugin.api.udm.BaseProvisionerArtifact

All Implemented Interfaces:
  `Artifact`, `SourceArtifact`, `TranscodableSourceArtifact`, `ConfigurationItem`, `EmbeddedDeployable`, `Provisioner`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, description="Base type for all provisioners artifacts.") public class BaseProvisionerArtifact extends EmbeddedDeployableArtifact implements Provisioner
Base deployable for all provisioners with file artifacts. It is an embedded configuration item i.e it will always be contained in another configuration item and can't be created as a top level deployable in a provisioning package.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployableArtifact

  `SCAN_PLACEHOLDERS_PROPERTY_NAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseProvisionerArtifact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Template`
  `getHostTemplate()`
  `void`
  `setHostTemplate(Template hostTemplate)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployableArtifact

  `getChecksum, getCredentials, getDelimiters, getExcludeFileNamesRegex, getExcludeFileNamesRegexToTranscode, getFile, getFileEncodings, getFileUri, getPlaceholders, getProxySettings, getTextFileNamesRegex, getTextFileNamesRegexToTranscode, isScanPlaceholders, setChecksum, setDelimiters, setExcludeFileNamesRegex, setExcludeFileNamesRegexToTranscode, setFile, setPlaceholders, setProxySettings, setScanPlaceholders, setTextFileNamesRegex, setTextFileNamesRegexToTranscode`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Constructor Details

  - ### BaseProvisionerArtifact

    public BaseProvisionerArtifact()

- ## Method Details

  - ### getHostTemplate

    public Template getHostTemplate()
    Specified by:
      `getHostTemplate` in interface `Provisioner`

  - ### setHostTemplate

    public void setHostTemplate(Template hostTemplate)